org.apache.http.client.methods

## Interface AbortableHttpRequest

- All Known Implementing Classes:
    AbstractExecutionAwareRequest, HttpDelete, HttpEntityEnclosingRequestBase, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpRequestBase, HttpTrace

  Deprecated.
  (4.3) use `HttpExecutionAware`

      @Deprecated
      public interface AbortableHttpRequest

  Interface representing an HTTP request that can be aborted by shutting down the underlying HTTP connection.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` Deprecated. Aborts this http request.
    `void` | `setConnectionRequest(ClientConnectionRequest connRequest)` Deprecated. Sets the `ClientConnectionRequest` callback that can be used to abort a long-lived request for a connection.
    `void` | `setReleaseTrigger(ConnectionReleaseTrigger releaseTrigger)` Deprecated. Sets the `ConnectionReleaseTrigger` callback that can be used to abort an active connection.

- - ### Method Detail

    - #### setConnectionRequest

          void setConnectionRequest(ClientConnectionRequest connRequest)
                                    throws IOException

      Deprecated.
      Sets the `ClientConnectionRequest` callback that can be used to abort a long-lived request for a connection. If the request is already aborted, throws an `IOException`.
      Throws:
        `IOException`
      See Also:
        `ClientConnectionManager`

    - #### setReleaseTrigger

          void setReleaseTrigger(ConnectionReleaseTrigger releaseTrigger)
                                 throws IOException

      Deprecated.
      Sets the `ConnectionReleaseTrigger` callback that can be used to abort an active connection. Typically, this will be the `ManagedClientConnection` itself. If the request is already aborted, throws an `IOException`.
      Throws:
        `IOException`

    - #### abort

          void abort()

      Deprecated.
      Aborts this http request. Any active execution of this method should return immediately. If the request has not started, it will abort after the next execution. Aborting this request will cause all subsequent executions with this request to fail.
      See Also:
        `HttpClient.execute(HttpUriRequest)`, `HttpClient.execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)`, `HttpClient.execute(HttpUriRequest, org.apache.http.protocol.HttpContext)`, `HttpClient.execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.